com.rscja.team.qcom.r1.hf

## Class HF14443B

- java.lang.Object
- - com.rscja.team.qcom.r1.hf.HFBase
  - - com.rscja.team.qcom.r1.hf.HF14443B

- All Implemented Interfaces:
    IHF14443B

      public class HF14443B
      extends HFBase
      implements IHF14443B

- - ### Field Summary

    - ### Fields inherited from class com.rscja.team.qcom.r1.hf.HFBase

      `COMMAND_15693_SELECT, COMMAND_ACTIVATEIDLE, COMMAND_ANTICOLL, COMMAND_ANTICOLLINVENTORY, COMMAND_AUTHENTICATION, COMMAND_COS_COMMAND, COMMAND_DECREMENT, COMMAND_FM1216RESET, COMMAND_GET_MUL_BLOCK, COMMAND_GET_SYSTEM_INFO, COMMAND_HALT, COMMAND_HALT_TYPEB, COMMAND_INCREMENT, COMMAND_INITVAL, COMMAND_INVENTORY, COMMAND_LOCK_AFI, COMMAND_LOCK_BLOCK, COMMAND_LOCK_DSFID, COMMAND_READ, COMMAND_READ_SM, COMMAND_READVAL, COMMAND_REQUESTA, COMMAND_RESET_TO_READY, COMMAND_RESTORE, COMMAND_SELECT, COMMAND_TRANSFER, COMMAND_TRANSFERCOMMAND, COMMAND_TYPEARATS, COMMAND_TYPEAREST, COMMAND_TYPEB_GET_UID, COMMAND_TYPEBREST, COMMAND_ULANTICOLL, COMMAND_ULWRITE, COMMAND_WRITE, COMMAND_WRITE_AFI, COMMAND_WRITE_DSFID, COMMAND_WRITE_SM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HF14443B(R1HFUSB usb)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getUidTypeB()` 获取卡片ID (Acquire card ID)
    `byte[]` | `resetTypeB()` 寻卡(Search card)
    `byte[]` | `sendCommand(byte[] cmd)` 发送命令(send command)

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HF14443B

          public HF14443B(R1HFUSB usb)

  - ### Method Detail

    - #### resetTypeB

          public byte[] resetTypeB()

      寻卡(Search card)
      Specified by:
        `resetTypeB` in interface `IHF14443B`
      Returns:
        success will return HF14443RequestEntity data, failure will return null.

    - #### getUidTypeB

          public byte[] getUidTypeB()

      获取卡片ID (Acquire card ID)
      Specified by:
        `getUidTypeB` in interface `IHF14443B`
      Returns:
        success will return HF14443RequestEntity data, failure will return null.

    - #### sendCommand

          public byte[] sendCommand(byte[] cmd)

      发送命令(send command)
      Specified by:
        `sendCommand` in interface `IHF14443B`
      Parameters:
        `cmd` - 命令数据
      Returns:
        success will return data, failure will return null.